## org.apache.naming.resources
Class WARDirContext.WARResource

    java.lang.Object
      org.apache.naming.resources.Resource
          org.apache.naming.resources.WARDirContext.WARResource

Enclosing class:
  WARDirContext

protected class WARDirContext.WARResource
extends Resource

This specialized resource implementation avoids opening the IputStream to the WAR right away.

Field Summary
`protected java.util.zip.ZipEntry` `entry`

Fields inherited from class org.apache.naming.resources.Resource
`binaryContent, inputStream`

Constructor Summary
`WARDirContext.WARResource(java.util.zip.ZipEntry entry)`

Method Summary
`java.io.InputStream` `streamContent()` Content accessor.

Methods inherited from class org.apache.naming.resources.Resource
`getContent, setContent, setContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entry

    protected java.util.zip.ZipEntry entry

Constructor Detail

### WARDirContext.WARResource

    public WARDirContext.WARResource(java.util.zip.ZipEntry entry)

Method Detail

### streamContent

    public java.io.InputStream streamContent()
                                      throws java.io.IOException

  Content accessor.

  Overrides:
    `streamContent` in class `Resource`
  Returns:
    InputStream
  Throws:
    `java.io.IOException`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.